aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--DPDK_VPP_VER1
-rw-r--r--resources/libraries/bash/function/gather.sh9
2 files changed, 7 insertions, 3 deletions
diff --git a/DPDK_VPP_VER b/DPDK_VPP_VER
new file mode 100644
index 0000000000..9a58905ad2
--- /dev/null
+++ b/DPDK_VPP_VER
@@ -0,0 +1 @@
+dpdk-19.02 \ No newline at end of file
diff --git a/resources/libraries/bash/function/gather.sh b/resources/libraries/bash/function/gather.sh
index 28a84ca10f..b169445bb2 100644
--- a/resources/libraries/bash/function/gather.sh
+++ b/resources/libraries/bash/function/gather.sh
@@ -97,9 +97,12 @@ function gather_dpdk () {
die "Composite piped command failed."
}
else
- echo "Downloading DPDK packages of specific version from repo..."
- # TODO: Can we autodetect this based on what CSIT-stable VPP uses?
- dpdk_stable_ver="dpdk-19.02.tar.xz"
+ echo "Downloading DPDK package of specific version from repo ..."
+ # Downloading DPDK version based on what VPP is using. Currently
+ # it is not easy way to detect from VPP version automatically.
+ dpdk_stable_ver="$(< "${CSIT_DIR}/DPDK_VPP_VER")".tar.xz || {
+ die "Failed to read DPDK VPP version!"
+ }
fi
# TODO: Use "wget -N" instead checking for file presence?
if [[ ! -f "${dpdk_stable_ver}" ]]; then